<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Kurse\ShowFilterKurse;

class ShowFilterKurseUseCase extends \Kufer\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineUseCase
{
  protected function getResponse()
  {
    $this->response->raumNr = $this->request->raumNr;

    $vonDatumDefault = \DateTimeOperations::getFirstDayOfCurrentWeek();
    $bisDatumDefault = \DateTimeOperations::getNextDate($vonDatumDefault, 6);
    $vonDatum = \SessionOperations::getVarValueWTIntern('KursDatumVon_' . $this->getToolId(), $vonDatumDefault);
    $bisDatum = \SessionOperations::getVarValueWTIntern('KursDatumBis_' . $this->getToolId(), $bisDatumDefault);
    $this->response->vonDatum = $vonDatum;
    $this->response->bisDatum = $bisDatum;

    return $this->response;
  }
}